Skip to content

List report configs

GET
/v1/reportconfig/

Return all report configurations for the current account.

cursor
string

The pagination cursor value.

id
string format: uuid
page_size
integer

Number of results to return per page.

search
string

A search term.

object
next
string format: uri
nullable
Example
http://api.example.org/accounts/?cursor=cD00ODY%3D"
previous
string format: uri
nullable
Example
http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
account
required
string format: uuid
description
string
<= 100 characters
active
boolean
period
required
  • 0 - Weekly
  • 1 - Monthly
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1
created_at
required
string format: date-time
slos_count
required
integer
latest_report_id
required
string format: uuid
nullable